All of lore.kernel.org
 help / color / mirror / Atom feed
From: Laurent Vivier <laurent@vivier.eu>
To: umarcor <unai.martinezcorral@ehu.eus>
Cc: Peter Maydell <peter.maydell@linaro.org>,
	eblake@redhat.com, qemu-devel@nongnu.org
Subject: Re: qemu-binfmt-conf.sh: enforce style consistency
Date: Sun, 20 Jun 2021 22:50:18 +0200	[thread overview]
Message-ID: <13e577e3-c85a-578e-e33f-dd7affaf00ca@vivier.eu> (raw)
In-Reply-To: <20210620201509.GA9@c22643ce596e>

Le 20/06/2021 à 22:15, umarcor a écrit :
> Spaces are removed before '; then', for consistency with other scripts
> in the project.

Well, I'm not sure there is a real consistency with this in the other scripts...

> Signed-off-by: umarcor <unai.martinezcorral@ehu.eus>

Please use your real name, not a nickname.

Changes look good, but can someone confirm this is the style we want to use everywhere?

Peter?

Thanks,
Laurent

> ---
>  scripts/qemu-binfmt-conf.sh | 36 ++++++++++++++++++------------------
>  1 file changed, 18 insertions(+), 18 deletions(-)
> 
> diff --git a/scripts/qemu-binfmt-conf.sh b/scripts/qemu-binfmt-conf.sh
> index 7de996d536..13bff41b47 100755
> --- a/scripts/qemu-binfmt-conf.sh
> +++ b/scripts/qemu-binfmt-conf.sh
> @@ -221,7 +221,7 @@ EOF
>  }
> 
>  qemu_check_access() {
> -    if [ ! -w "$1" ] ; then
> +    if [ ! -w "$1" ]; then
>          echo "ERROR: cannot write to $1" 1>&2
>          exit 1
>      fi
> @@ -230,12 +230,12 @@ qemu_check_access() {
>  qemu_check_bintfmt_misc() {
>      # load the binfmt_misc module
>      if [ ! -d /proc/sys/fs/binfmt_misc ]; then
> -      if ! /sbin/modprobe binfmt_misc ; then
> +      if ! /sbin/modprobe binfmt_misc; then
>            exit 1
>        fi
>      fi
>      if [ ! -f /proc/sys/fs/binfmt_misc/register ]; then
> -      if ! mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc ; then
> +      if ! mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc; then
>            exit 1
>        fi
>      fi
> @@ -248,16 +248,16 @@ installed_dpkg() {
>  }
> 
>  qemu_check_debian() {
> -    if [ ! -e /etc/debian_version ] ; then
> +    if [ ! -e /etc/debian_version ]; then
>          echo "WARNING: your system is not a Debian based distro" 1>&2
> -    elif ! installed_dpkg binfmt-support ; then
> +    elif ! installed_dpkg binfmt-support; then
>          echo "WARNING: package binfmt-support is needed" 1>&2
>      fi
>      qemu_check_access "$EXPORTDIR"
>  }
> 
>  qemu_check_systemd() {
> -    if ! systemctl -q is-enabled systemd-binfmt.service ; then
> +    if ! systemctl -q is-enabled systemd-binfmt.service; then
>          echo "WARNING: systemd-binfmt.service is missing or disabled" 1>&2
>      fi
>      qemu_check_access "$EXPORTDIR"
> @@ -265,13 +265,13 @@ qemu_check_systemd() {
> 
>  qemu_generate_register() {
>      flags=""
> -    if [ "$CREDENTIAL" = "yes" ] ; then
> +    if [ "$CREDENTIAL" = "yes" ]; then
>          flags="OC"
>      fi
> -    if [ "$PERSISTENT" = "yes" ] ; then
> +    if [ "$PERSISTENT" = "yes" ]; then
>          flags="${flags}F"
>      fi
> -    if [ "$PRESERVE_ARG0" = "yes" ] ; then
> +    if [ "$PRESERVE_ARG0" = "yes" ]; then
>          flags="${flags}P"
>      fi
> 
> @@ -306,23 +306,23 @@ qemu_set_binfmts() {
> 
>      # register the interpreter for each cpu except for the native one
> 
> -    for cpu in ${qemu_target_list} ; do
> +    for cpu in ${qemu_target_list}; do
>          magic=$(eval echo \$${cpu}_magic)
>          mask=$(eval echo \$${cpu}_mask)
>          family=$(eval echo \$${cpu}_family)
> 
> -        if [ "$magic" = "" ] || [ "$mask" = "" ] || [ "$family" = "" ] ; then
> +        if [ "$magic" = "" ] || [ "$mask" = "" ] || [ "$family" = "" ]; then
>              echo "INTERNAL ERROR: unknown cpu $cpu" 1>&2
>              continue
>          fi
> 
>          qemu="$QEMU_PATH/qemu-$cpu"
> -        if [ "$cpu" = "i486" ] ; then
> +        if [ "$cpu" = "i486" ]; then
>              qemu="$QEMU_PATH/qemu-i386"
>          fi
> 
>          qemu="$qemu$QEMU_SUFFIX"
> -        if [ "$host_family" != "$family" ] ; then
> +        if [ "$host_family" != "$family" ]; then
>              $BINFMT_SET
>          fi
>      done
> @@ -343,7 +343,7 @@ QEMU_SUFFIX=""
>  options=$(getopt -o ds:Q:S:e:hc:p:g: -l debian,systemd:,qemu-path:,qemu-suffix:,exportdir:,help,credential:,persistent:,preserve-argv0: -- "$@")
>  eval set -- "$options"
> 
> -while true ; do
> +while true; do
>      case "$1" in
>      -d|--debian)
>          CHECK=qemu_check_debian
> @@ -356,14 +356,14 @@ while true ; do
>          EXPORTDIR=${EXPORTDIR:-$SYSTEMDDIR}
>          shift
>          # check given cpu is in the supported CPU list
> -        if [ "$1" != "ALL" ] ; then
> -            for cpu in ${qemu_target_list} ; do
> -                if [ "$cpu" = "$1" ] ; then
> +        if [ "$1" != "ALL" ]; then
> +            for cpu in ${qemu_target_list}; do
> +                if [ "$cpu" = "$1" ]; then
>                      break
>                  fi
>              done
> 
> -            if [ "$cpu" = "$1" ] ; then
> +            if [ "$cpu" = "$1" ]; then
>                  qemu_target_list="$1"
>              else
>                  echo "ERROR: unknown CPU \"$1\"" 1>&2
> --
> 2.32.0
> 



  reply	other threads:[~2021-06-20 20:51 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-20 20:15 qemu-binfmt-conf.sh: enforce style consistency umarcor
2021-06-20 20:50 ` Laurent Vivier [this message]
2021-06-20 21:22   ` Unai Martinez Corral
2021-06-22 13:40     ` Laurent Vivier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=13e577e3-c85a-578e-e33f-dd7affaf00ca@vivier.eu \
    --to=laurent@vivier.eu \
    --cc=eblake@redhat.com \
    --cc=peter.maydell@linaro.org \
    --cc=qemu-devel@nongnu.org \
    --cc=unai.martinezcorral@ehu.eus \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.